Package org.globus.util

# Class TimestampEntry

java.lang.Object
org.globus.util.TimestampEntry

All Implemented Interfaces:
  `Serializable`

public class TimestampEntry extends Object implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TimestampEntry()`
`TimestampEntry(Object value, long lastModified)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
`long`
`getLastModified()`
`Object`
`getValue()`
`void`
`setDescription(String description)`
`void`
`setLastModified(long lastModified)`
`void`
`setValue(Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TimestampEntry

public TimestampEntry()

### TimestampEntry

public TimestampEntry(Object value, long lastModified)

## Method Details

### getValue

public Object getValue()

### setValue

public void setValue(Object value)

### getDescription

public String getDescription()

### setDescription

public void setDescription(String description)

### getLastModified

public long getLastModified()

### setLastModified

public void setLastModified(long lastModified)